Solid Commerce Docs
PUT/v1/fulfillment/forms/{documentType}

PUT /v1/fulfillment/forms/{documentType}

Scopes: fulfillment:packing_slips:writefulfillment:pick_lists:write

Requires scope: fulfillment:packing_slips:write, fulfillment:pick_lists:write.

Parameters

NameInTypeRequiredDescription
documentTypepathstringyes

Request body

FieldTypeRequiredDescription
document_typestringno
templatesFulfillmentFormTemplate[]no
optionsobjectno

Response (200)

FieldTypeRequiredDescription
successbooleanno
messagestringno

Examples

import { SolidCommerceClient } from '@solidcommerce/sdk';

const client = new SolidCommerceClient({
  apiKey: process.env.SOLIDCOMMERCE_API_KEY!,
});

const { data, error } = await client.raw.PUT('/v1/fulfillment/forms/{documentType}', {
  // params: { path: { id: '...' }, query: { limit: 25 } },
  // body: { /* request body */ },
});

if (error) throw error;
console.log(data);